

The iomap.o functions aren't dragged into the kernel if the build is fully
modular.  But modules need them.  So link iomap.o into the kernel
unconditionally.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/mips/lib/Makefile |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN arch/mips/lib/Makefile~mips-linkage-fix arch/mips/lib/Makefile
--- 25/arch/mips/lib/Makefile~mips-linkage-fix	2005-03-19 22:29:34.000000000 -0800
+++ 25-akpm/arch/mips/lib/Makefile	2005-03-19 22:30:07.000000000 -0800
@@ -2,7 +2,9 @@
 # Makefile for MIPS-specific library files..
 #
 
-lib-y	+= csum_partial_copy.o dec_and_lock.o iomap.o memcpy.o promlib.o \
+lib-y	+= csum_partial_copy.o dec_and_lock.o memcpy.o promlib.o \
 	   strlen_user.o strncpy_user.o strnlen_user.o
 
+obj-y	+= iomap.o
+
 EXTRA_AFLAGS := $(CFLAGS)
_
